Bug 186039 - Missing ICMPv6 Neighbor advertisement
Missing ICMPv6 Neighbor advertisement
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-21 03:29 EST by Per Steinar Iversen
Modified: 2008-01-19 23:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:39:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Per Steinar Iversen 2006-03-21 03:29:01 EST
Description of problem:

"slogin -6" does not work against x86_64 FC5 machine.

Version-Release number of selected component (if applicable): 

How reproducible:


Steps to Reproduce:
1. Try to do "slogin -6" against a x86_64 FC5 machine.
2. The login attempt fails with "No route to host"
Actual results:

No connection.

Expected results:


Additional info:

Sniffing with "ethereal ip6" shows:

1   0.000000 2001:700:700:1:211:2fff:fec6:352d -> ff02::1:ffd3:b7a6 ICMPv6
Neighbor solicitation
2   1.000017 2001:700:700:1:211:2fff:fec6:352d -> ff02::1:ffd3:b7a6 ICMPv6
Neighbor solicitation
3   2.000079 2001:700:700:1:211:2fff:fec6:352d -> ff02::1:ffd3:b7a6 ICMPv6
Neighbor solicitation

At this point the attempted connection fails.
On a machine running the same kernel on i686 the connection succeeds:

1   0.000000 fe80::207:e9ff:fe3e:c29c -> ff02::1:ff4c:e30 ICMPv6 Neighbor
2   0.000044 2001:700:700:2:202:b3ff:fe4c:e30 -> fe80::207:e9ff:fe3e:c29c ICMPv6
Neighbor advertisement
3   0.001325 2001:700:700:1:211:2fff:fec6:352d ->
2001:700:700:2:202:b3ff:fe4c:e30 TCP 58732 > ssh [SYN] Seq=0 Ack=0 Win=5680
Len=0 MSS=1420 TSV=244961 TSER=0 WS=2
Comment 1 Dave Jones 2006-10-16 17:10:32 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jon Stanley 2008-01-19 23:39:24 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.